## org.apache.lucene.index
Class FieldInfo

    java.lang.Object
      org.apache.lucene.index.FieldInfo

    public final class FieldInfo

extends Object

Access to the Fieldable Info file that describes document fields and whether or not they are indexed. Each segment has a separate Fieldable Info file. Objects of this class are thread-safe for multiple readers, but only one thread can be adding documents at a time, with no other reader or writer threads accessing this object.

Nested Class Summary
`static class` `FieldInfo.IndexOptions` Controls how much information is stored in the postings lists.

Field Summary
`FieldInfo.IndexOptions` `indexOptions`
`boolean` `isIndexed`
`String` `name`
`int` `number`
`boolean` `omitNorms`
`boolean` `storePayloads`
`boolean` `storeTermVector`

Method Summary
`Object` `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

### number

    public final int number

### isIndexed

    public boolean isIndexed

### storeTermVector

    public boolean storeTermVector

### omitNorms

    public boolean omitNorms

### indexOptions

    public FieldInfo.IndexOptions indexOptions

### storePayloads

    public boolean storePayloads

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`